Loading...
Searching...
No Matches
Dune::IsTypeList< TypeList< T... > > Struct Template Reference
Common » Utilities » Type Utilities

Check if given type is a TypeList. More...

`#include <dune/common/typelist.hh>`

Inheritance diagram for Dune::IsTypeList< TypeList< T... > >:

## Detailed Description

template<class... T>
struct Dune::IsTypeList< TypeList< T... > >

Check if given type is a TypeList.

The result of the check is encoded in the base class of type std::integral_constant<bool, result>.

The documentation for this struct was generated from the following file:

- typelist.hh